compact1, compact2, compact3
java.util

## Class ServiceConfigurationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.util.ServiceConfigurationError

- All Implemented Interfaces:
    Serializable

      public class ServiceConfigurationError
      extends Error

  Error thrown when something goes wrong while loading a service provider.

  This error will be thrown in the following situations:

  - The format of a provider-configuration file violates the specification;
  - An `IOException` occurs while reading a provider-configuration file;
  - A concrete provider class named in a provider-configuration file cannot be found;
  - A concrete provider class is not a subclass of the service class;
  - A concrete provider class cannot be instantiated; or
  - Some other kind of error occurs.
  Since:
    1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceConfigurationError(String msg)` | Constructs a new instance with the specified message.
    `ServiceConfigurationError(String msg, Throwable cause)` | Constructs a new instance with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceConfigurationError

          public ServiceConfigurationError(String msg)

      Constructs a new instance with the specified message.
      Parameters:
        `msg` - The message, or `null` if there is no message

    - #### ServiceConfigurationError

          public ServiceConfigurationError(String msg,
                                           Throwable cause)

      Constructs a new instance with the specified message and cause.
      Parameters:
        `msg` - The message, or `null` if there is no message
        `cause` - The cause, or `null` if the cause is nonexistent or unknown

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.